var 
MC_c  pi_c  Pi_star  a1_c  a2_c  disp_c  i  Q IQ
rk rd lambda C  I Lambda W %a1_w a2_w w_star 
A_ne A_i_p K   L Y_c Y_ne Y_i Y NE INC eta Ex U delta_i e_rate
lev mu_b nu_b m n NW r_diff rw
g g_z nu mp_shock ksi I_2 risk rend
;

varexo e_a e_o e_nu e_ksi  e_risk;

parameters 

 g_s g_z_s eps_weps_b  rho_xi   rho_g   omega   
 lambda_b  theta_b phi      betta    gamma    alpha    delta  csi     aux1   aux2     psi zeta  
 mu  H  H_np   phi_ne   phi_inc   eps_c Gamma_c mu_c rho_i kappa_y kappa_pi rho_o gamma_i 
kh  eps_b eps_w Gamma_w mu_w hh sig b delta_c zetta delta_inc;

 kh=0;
 gamma_i = 3.14;
 rho_o    = 0.06;
 rho_i    = 0.8;
 kappa_pi = 3.1;
 kappa_y  = 0;
 eps_c    = 5;
 eps_b    = 50;
 MC_c_ss  = (eps_c-1)/eps_c;
 Gamma_c  = 0.78;
 mu_c     = 0;
 rho_xi   = 0.66; 
 rho_g    = 0;                              
 omega    = 0.002;                           
 phi      = 0.27600000;                            
 betta    = 0.9925;                             
 gamma    = 0.8;                             
 alpha    = 0.33;                           
 delta    = 0.025;                           
 csi      = 6.1;                             
 aux1     = csi*(1-gamma)/(csi*(1-gamma)-1); 
 aux2     = csi/(csi*(1-gamma)-1);
 H        = 0.025;                           
 H_np     = 0;                            
 phi_ne   = 0.05;  

%--------------------------- Steady State Calibration

 g_s       =     1.0025;
 g_z_s     =     g_s^(1-alpha*gamma);
 phi_inc   =     phi_ne*2.277;
 delta_inc =     1-(1-H_np-H)^(1/csi);
 mu        =     0;
 zeta      =     0.9136;
 theta_b   =     0.9725; 
 lambda_b  =     0.3883;
 hh        =     0.815;
 sig       =     1;
 psi       =     2.2512;
 eps_w     =     9.0909;
 mu_w      =     0;
 mu_w      =     0;
 Gamma_w   =     0.4;
 b       = 0.0375;
 delta_c = 0.02041451;
 zetta   = b/(delta -delta_c)-1;

 model;



%A. HOUSEHOLDS


exp(a1_c)     = exp(Pi_star)*exp(Y_c)+Gamma_c*betta*(exp(Pi_star)/exp(Pi_star(+1)))*(exp(pi_c)^(mu_c)/exp(pi_c(+1)))^(1-eps_c)*(exp(lambda(+1))/exp(lambda))*exp(a1_c(+1));

exp(a2_c)     = exp(MC_c)*exp(Y_c)+Gamma_c*betta*(exp(pi_c)^(mu_c)/exp(pi_c(+1)))^(-eps_c)*(exp(lambda(+1))/exp(lambda))*exp(a2_c(+1));

exp(a1_c)     =  exp(a2_c)*eps_c/(eps_c-1);

1 = (1-Gamma_c)*exp(Pi_star)^(1-eps_c)+Gamma_c*(((exp(pi_c(-1)))^(mu_c))/exp(pi_c))^(1-eps_c);

exp(disp_c) =   (1-Gamma_c)*exp(Pi_star)^(-eps_c)+Gamma_c*(((exp(pi_c(-1)))^(mu_c))/exp(pi_c))^(-eps_c)*exp(disp_c(-1));

exp(Y)      =   exp(Y_c)/exp(disp_c);

exp(i)      =   (exp(i(-1)))^rho_i*(1/betta*(exp(pi_c))^(kappa_pi)*((eps_c-1)/(eps_c*exp(MC_c)))^(kappa_y))^(1-rho_i)*exp(-e_o);

exp(i)*exp(risk)     =   exp(lambda)/exp(lambda(+1))*1/betta*exp(pi_c(+1))*exp(g(+1));

exp(Q)      =   1+ gamma_i/2*(exp(I)*exp(g)/exp(I(-1))-g_s)^2+gamma_i/2*(exp(I)*exp(g)/exp(I(-1))-g_s)*(exp(I)*exp(g)/exp(I(-1)))-gamma_i/2*betta*exp(Lambda(+1))*(exp(I(+1))*exp(g(+1))/exp(I)-g_s)*(exp(I(+1))*exp(g(+1))/exp(I))^2;

exp(rd)     =   exp(lambda)*exp(g)/(betta*exp(lambda(+1)));

exp(lambda) =   (exp(C)-hh*exp(C(-1))/exp(g))^(-sig)-betta*hh*(exp(C(+1))*exp(g)-hh*exp(C))^(-sig);

exp(C)      =    exp(Y)-exp(I)*(1+gamma_i/2*(exp(I)*exp(g)/exp(I(-1))-g_s)^2*exp(I))-exp(INC)*phi_inc-exp(NE)*phi_ne;

exp(K)      =    exp(I) + exp(ksi)*(1-exp(delta_i))*exp(K(-1))/exp(g);

exp(Lambda) =    exp(lambda)/(exp(lambda(-1))*exp(g));   

exp(A_ne)   =    ((phi_ne)/(1-gamma))^(1-gamma)*((((exp(rk)*exp(Q(-1))-exp(ksi)*exp(Q)*(1-exp(delta_i))))/(exp(ksi)*alpha))^(alpha)*(exp(W)/(1-alpha))^(1-alpha))^(gamma)/(exp(MC_c)*gamma^(gamma));

exp(A_i_p)  =    ((phi_inc)/(1-gamma))^(1-gamma)*((((exp(rk)*exp(Q(-1))-exp(ksi)*exp(Q)*(1-exp(delta_i))))/(exp(ksi)*alpha))^(alpha)*(exp(W)/(1-alpha))^(1-alpha))^(gamma)/(exp(MC_c)*gamma^(gamma));

exp(W)      =    psi*exp(L)^(phi)/exp(lambda);

exp(K(-1))  =    exp(g)*alpha*gamma*exp(Y_c)*exp(MC_c)/(exp(rk)*exp(Q(-1))-exp(ksi)*exp(Q)*(1-exp(delta_i)));

exp(L)      =   (1-alpha)*gamma*exp(Y_c)*exp(MC_c)/exp(W);

exp(Y_ne)   =   exp(NE)*aux2*phi_ne;

exp(Y_i)    =   exp(INC)*aux2*(phi_inc);

exp(NE)     =   (zeta/exp(A_ne))^(csi);

exp(INC)     =   exp(eta(-1))*(exp(A_i_p(-1))*(1-delta_inc)*g_z_s/(exp(A_i_p)*exp(g_z)))^(csi); 

exp(eta)    =    exp(INC) + exp(NE);

exp(Ex)     =    (1-(exp(A_i_p(-1))*(1-delta_inc)*g_z_s/(exp(A_i_p)*exp(g_z)))^(csi)); 

exp(lev)    =    exp(nu_b)/(lambda_b-exp(mu_b));

exp(n)      =   ((exp(rk) - exp(rd(-1)))*exp(lev(-1)) + exp(rd(-1)));

exp(m)    =      exp(lev)/exp(lev(-1))*exp(n);

exp(mu_b)   =   (1-theta_b)*betta*exp(Lambda(+1))*(exp(rk(+1))-exp(rd))+betta*theta_b*exp(Lambda(+1))*exp(m(+1))*exp(mu_b(+1));

exp(nu_b)   =   (1-theta_b)*betta*exp(Lambda(+1))*exp(rk)+betta*theta_b*exp(Lambda(+1))*exp(n(+1))*exp(nu_b(+1));

exp(NW)    =    theta_b*exp(n)*exp(NW(-1))*exp(-e_nu)+exp(ksi)*omega*exp(K(-1))*exp(Q);

exp(K)*exp(Q)   = exp(lev)*exp(NW);

exp(r_diff)  = exp(rk(+1))/exp(rd);

exp(Y_c) = exp(Y_ne)+exp(Y_i);

0=1-eps_b+eps_b*exp(rw)/exp(rk)-kh*(exp(rk)/exp(rk(-1))-1)+(exp(rk(+1))/exp(rk)-1)^2*(exp(rk)/exp(rk(-1))-1)*exp(lambda(+1))*betta/exp(lambda)*kh*exp(K(+1))/exp(K)*exp(g(+1))/exp(g(+1));

ksi = rho_xi*ksi(-1)-e_ksi;

exp(U)   = 1;

exp(delta_i) = delta;

exp(IQ)  = exp(I)*exp(Q);

exp(I_2) = exp(K)-exp(K(-1))*exp(ksi)*(1-delta)/exp(g);

exp(e_rate) = exp(NE)/exp(eta);

exp(rend) = exp(rk)*exp(Q(-1))-exp(ksi)*(1-delta)*exp(Q);

risk = .9*risk(-1)+e_risk;

g_z     = log(g_z_s)+e_a; 

g       = g_z*1/(1-alpha*gamma);

nu=   nu(-1)*0.8-e_nu;

mp_shock     =  rho_o*mp_shock(-1)-e_o;

end;


initval;

MC_c        =	 -0.223056;
pi_c     	=	 0;
Pi_star  	=	 0;
a1_c     	=	 2.64434;
a2_c     	=	 2.4212;
disp_c   	=	 0;
i        	=	 0.0112159;
Q        	=	 0;
IQ       	=	 -0.731139;
rk       	=	 0.0124896;
rd       	=	 0.0100251;
lambda   	=	 -0.891975;
C        	=	 0.924055;
I        	=	 -0.731139;
Lambda   	=	 -0.00249688;
W        	=	 1.3975;
A_ne     	=	 0.514373;
A_i_p    	=	 0.678945;
K        	=	 2.86493;
L        	=	 -1.10849;
Y_c      	=	 1.13569;
Y_ne     	=	 -3.36193;
Y_i      	=	 1.12449;
Y        	=	 1.13563;
NE       	=	 -3.68861;
INC      	=	 -0.0250533;
eta      	=	 0.000264495;
Ex       	=	 -3.68888;
U        	=	 0;
delta_i  	=	 -3.68888;
e_rate   	=	 -3.68888;
lev      	=	 1.38798;
mu_b     	=	 -5.57482;
nu_b     	=	 0.432207;
m        	=	 0.0198631;
n        	=	 0.0198631;
NW       	=	 1.47695;
r_diff   	=	 0.00246513;
rw       	=	 -0.00771312;
g        	=	 0.00249688;
g_z      	=	 0.0018377;
nu       	=	 0;
mp_shock 	=	 0;
ksi      	=	 0;
I_2      	=	 -0.731139;
risk     	=	 0;
rend     	=	 -3.28161;
end;

steady;


shocks;
var e_risk; stderr 0.001;
var e_a; stderr 0.05;
var e_nu; stderr 0.05;
var e_ksi; stderr 0.05;
var e_o; stderr 0.05;
end;
stoch_simul (order=1, irf=60, nograph);