clear
close all
%% SIMULATION BLOCK STARTS HERE.
%% Run Baseline Model and Save IRFS to Monetary, Capital Quality, Technology and Risk Premium shocks.
dynare Baseline
NPL_mon  =   [Y_e_o     pi_c_e_o    i_e_o    Ex_e_o      C_e_o    I_e_o     MC_c_e_o     e_rate_e_o    r_diff_e_o    rk_e_o    NPL_share_e_o     NP_rate_e_o    A_i_np_e_o    A_ne_e_o     NW_e_o     Q_e_o     W_e_o     A_i_p_e_o    lev_e_o     K_mis_e_o    K_ratio_e_o     rend_e_o b_bar_e_o k_q_e_o];
NPL_ksi  =   [Y_e_ksi   pi_c_e_ksi  i_e_ksi  Ex_e_ksi    C_e_ksi  I_e_ksi   MC_c_e_ksi   e_rate_e_ksi  r_diff_e_ksi  rk_e_ksi  NPL_share_e_ksi   NP_rate_e_ksi  A_i_np_e_ksi  A_ne_e_ksi   NW_e_ksi   Q_e_ksi   W_e_ksi   A_i_p_e_ksi  lev_e_ksi   K_mis_e_ksi  K_ratio_e_ksi   rend_e_ksi b_bar_e_ksi k_q_e_ksi];
NPL_a    =   [Y_e_a     pi_c_e_a    i_e_a    Ex_e_a      C_e_a    I_e_a     MC_c_e_a     e_rate_e_a    W_e_a         rk_e_a    NPL_share_e_a     NP_rate_e_a    A_i_np_e_a    A_ne_e_a     NW_e_a     Q_e_a     W_e_a     A_i_p_e_a    lev_e_a     K_mis_e_a    r_diff_e_a      rend_e_a b_bar_e_a];
NPL_risk  =  [Y_e_risk  pi_c_e_risk i_e_risk  Ex_e_risk  C_e_risk I_e_risk  MC_c_e_risk  e_rate_e_risk r_diff_e_risk rk_e_risk NPL_share_e_risk  NP_rate_e_risk A_i_np_e_risk A_ne_e_risk  NW_e_risk  Q_e_risk  W_e_risk  A_i_p_e_risk  lev_e_risk K_mis_e_risk K_ratio_e_risk  rend_e_risk b_bar_e_risk k_q_e_risk];
%% Run GK Model and Save IRFs to Monetary and Capital Quality shocks.
dynare Comparison_1 
GK_mon    = [Y_e_i   infl_e_i    i_e_i   prem_e_i    C_e_i    I_e_i   Pm_e_i    eta_e_i   prem_e_i   Rk_e_i   Pm_e_i    Q_e_i   ];
GK_ksi    = [Y_e_ksi infl_e_ksi  i_e_ksi prem_e_ksi  C_e_ksi  I_e_ksi Pm_e_ksi  eta_e_ksi prem_e_ksi Rk_e_ksi Pm_e_ksi  Q_e_ksi ];   
%% Run Baseline Model with QE Taylor Rule and Save IRFS to Monetary, Capital Quality, Technology and Risk Premium shocks.
dynare Comparison_2  
NONPL_mon =   [Y_e_o    pi_c_e_o    i_e_o     Ex_e_o     C_e_o     I_e_o     MC_c_e_o     e_rate_e_o     r_diff_e_o      rk_e_o     A_i_p_e_o       A_ne_e_o       W_e_o        K_mis_e_o    K_ratio_e_o    b_bar_e_o    rend_e_o  Q_e_o k_q_e_o];
NONPL_ksi =   [Y_e_ksi  pi_c_e_ksi  i_e_ksi   Ex_e_ksi   C_e_ksi   I_e_ksi   MC_c_e_ksi   e_rate_e_ksi   r_diff_e_ksi    rk_e_ksi   A_i_p_e_ksi     A_ne_e_ksi     NW_e_ksi     K_mis_e_ksi  K_ratio_e_ksi  b_bar_e_ksi  rend_e_ksi Q_e_ksi k_q_e_ksi];
NONPL_risk =  [Y_e_risk pi_c_e_risk i_e_risk  Ex_e_risk  C_e_risk  I_e_risk  MC_c_e_risk  e_rate_e_risk  r_diff_e_risk   rk_e_risk  A_i_p_e_risk    A_ne_e_risk    W_e_risk     K_mis_e_risk K_ratio_e_risk b_bar_e_risk rend_e_risk Q_e_risk k_q_e_risk];
NONPL_a   =   [Y_e_a    pi_c_e_a    i_e_a     Ex_e_a     C_e_a     I_e_a     MC_c_e_a     e_rate_e_a     W_e_a           rk_e_a     A_i_p_e_a       A_ne_e_a       K_mis_e_a    K_mis_e_a    b_bar_e_a ];
%% Run Baseline Model with hybrid Taylor Rule and Save IRFS to Monetary Polocy and Capital Quality shocks.
dynare Comparison_3
NPL_Yt_mon   =  [Y_e_o   pi_c_e_o   i_e_o   Ex_e_o    C_e_o    I_e_o   MC_c_e_o   e_rate_e_o   r_diff_e_o   rk_e_o    NPL_share_e_o   NP_rate_e_o   A_i_np_e_o   A_ne_e_o     A_i_p_e_o     Q_e_o   ];
NPL_Yt_ksi   =  [Y_e_ksi pi_c_e_ksi i_e_ksi Ex_e_ksi  C_e_ksi  I_e_ksi MC_c_e_ksi e_rate_e_ksi r_diff_e_ksi rk_e_ksi  NPL_share_e_ksi NP_rate_e_ksi A_i_np_e_ksi A_ne_e_ksi   A_i_p_e_ksi   Q_e_ksi   ];
%% Run Model with hybrid Taylor Rule and Save IRFS to Monetary Polocy and Capital Quality shocks.
dynare Comparison_4
NPL_mu_mon   =  [Y_e_o   pi_c_e_o   i_e_o   Ex_e_o    C_e_o    I_e_o   MC_c_e_o   e_rate_e_o   r_diff_e_o   rk_e_o    NPL_share_e_o   NP_rate_e_o   A_i_np_e_o   A_ne_e_o     A_i_p_e_o   Q_e_o   ];
NPL_mu_ksi   =  [Y_e_ksi pi_c_e_ksi i_e_ksi Ex_e_ksi  C_e_ksi  I_e_ksi MC_c_e_ksi e_rate_e_ksi r_diff_e_ksi rk_e_ksi  NPL_share_e_ksi NP_rate_e_ksi A_i_np_e_ksi A_ne_e_ksi A_i_p_e_ksi   Q_e_ksi   ];
%% Run Baseline Model with QE Taylor Rule and Save IRFS to Monetary, Capital Quality, Technology and Risk Premium shocks.
dynare Comparison_5
QE_ksi   =      [Y_e_ksi  pi_c_e_ksi   i_e_ksi  Ex_e_ksi   C_e_ksi   I_e_ksi  MC_c_e_ksi  e_rate_e_ksi  r_diff_e_ksi  rk_e_ksi   NPL_share_e_ksi  NP_rate_e_ksi   A_i_np_e_ksi  A_ne_e_ksi  A_i_p_e_ksi    Q_e_ksi   K_mis_e_ksi rend_e_ksi b_bar_e_ksi k_q_e_ksi];
QE_risk =       [Y_e_risk pi_c_e_risk  i_e_risk Ex_e_risk  C_e_risk  I_e_risk MC_c_e_risk e_rate_e_risk r_diff_e_risk rk_e_risk  NPL_share_e_risk NP_rate_e_risk  A_i_np_e_risk A_ne_e_risk A_i_p_e_risk   Q_e_risk   K_mis_e_risk rend_e_risk b_bar_e_risk k_q_e_risk];
QE_mon =        [Y_e_o    pi_c_e_o     i_e_o    Ex_e_o     C_e_o     I_e_o    MC_c_e_o    e_rate_e_o    r_diff_e_o    rk_e_o     NPL_share_e_o    NP_rate_e_o     A_i_np_e_o    A_ne_e_o    A_i_p_e_o      Q_e_o      K_mis_e_o rend_e_o b_bar_e_o k_q_e_o];
QE_a =          [Y_e_a    pi_c_e_a     i_e_a    Ex_e_a     C_e_a     I_e_a    MC_c_e_a    e_rate_e_a    r_diff_e_a    rk_e_a     NPL_share_e_a    NP_rate_e_a     A_i_np_e_a    A_ne_e_a    A_i_p_e_a      Q_e_a      K_mis_e_a rend_e_a b_bar_e_a];
%% Run Efficient Allocation Model and Save IRFs to Monetary, liquidity and Capital Quality shocks.
dynare Comparison_6
Entry_mon  = [Y_e_o    pi_c_e_o     i_e_o    Ex_e_o    C_e_o    I_e_o    MC_c_e_o     e_rate_e_o    r_diff_e_o    rk_e_o    A_i_p_e_o     A_ne_e_o    W_e_o rend_e_o  ];
Entry_ksi  = [Y_e_ksi  pi_c_e_ksi   i_e_ksi  Ex_e_ksi  C_e_ksi  I_e_ksi  MC_c_e_ksi   e_rate_e_ksi  r_diff_e_ksi  rk_e_ksi  A_i_p_e_ksi   A_ne_e_ksi   W_e_ksi      rend_e_ksi  ];
Entry_risk = [Y_e_risk pi_c_e_risk  i_e_risk Ex_e_risk C_e_risk I_e_risk MC_c_e_risk  e_rate_e_risk r_diff_e_risk rk_e_risk A_i_p_e_risk  A_ne_e_risk    W_e_risk    rend_e_risk  ];
%% Run Endogenous Lambda Model and Save IRFs to Monetary, liquidity and Capital Quality shocks.
dynare Comparison_7
%Ref              1         2           3       4          5       6       7             8           9           10           11          12              13           14          15        16       17          18          19          20            21       22     
lambda_mon  =  [Y_e_o     pi_c_e_o   i_e_o    Ex_e_o    C_e_o   I_e_o   MC_c_e_o     e_rate_e_o   r_diff_e_o   rk_e_o    NPL_share_e_o    NP_rate_e_o   A_i_np_e_o   A_ne_e_o     NW_e_o    Q_e_o    W_e_o    A_i_p_e_o    lev_e_o   lambda_var_e_o   K_mis_e_o rend_e_a];
lambda_ksi  =  [Y_e_ksi   pi_c_e_ksi i_e_ksi  Ex_e_ksi  C_e_ksi I_e_ksi MC_c_e_ksi   e_rate_e_ksi r_diff_e_ksi rk_e_ksi  NPL_share_e_ksi  NP_rate_e_ksi A_i_np_e_ksi A_ne_e_ksi   NW_e_ksi  Q_e_ksi  W_e_ksi  A_i_p_e_ksi  lev_e_ksi lambda_var_e_ksi K_mis_e_ksi rend_e_ksi];
lambda_risk  =  [Y_e_risk   pi_c_e_risk i_e_risk  Ex_e_risk  C_e_risk I_e_risk MC_c_e_risk   e_rate_e_risk r_diff_e_risk rk_e_risk  NPL_share_e_risk  NP_rate_e_risk A_i_np_e_risk A_ne_e_risk   NW_e_risk  Q_e_risk  W_e_risk  A_i_p_e_risk  lev_e_risk lambda_var_e_risk K_mis_e_risk  rend_e_risk];
%% Run Endogenous Lambda Model with QE and Save IRFs to Capital Quality shock.
dynare Comparison_8
qe_l_ksi  =  [Y_e_ksi   pi_c_e_ksi i_e_ksi  Ex_e_ksi  C_e_ksi I_e_ksi MC_c_e_ksi   e_rate_e_ksi r_diff_e_ksi rk_e_ksi  NPL_share_e_ksi  NP_rate_e_ksi A_i_np_e_ksi A_ne_e_ksi   NW_e_ksi  Q_e_ksi  W_e_ksi  A_i_p_e_ksi  lev_e_ksi K_mis_e_ksi ];
%% TREND
t_nonpl =  0.0714;
t_npl   =  0.0714;
%% END OF SIMULATION BLOCK.
%% START OF FIGURES BLOCK.
%% FIGURE 4
figure(4)
subplot(3,3,1)
plot(NPL_ksi(:,1)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,1)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$','Interpreter','latex')
hold off 
subplot(3,3,2)
plot(NPL_ksi(:,5)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,5)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$','Interpreter','latex')
hold off 
subplot(3,3,3)
plot(NPL_ksi(:,6)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,6)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$','Interpreter','latex')
legend('NPL','GK','Location','South')
hold off 
subplot(3,3,4)
plot(NPL_ksi(:,2)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,2)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$','Interpreter','latex')
hold off 
subplot(3,3,5)
plot(NPL_ksi(:,7)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,7)*100,'-.','LineWidth',2.5)
hold on
xlim([1,10])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$P^{m}_{t}$','Interpreter','latex')
hold off 
subplot(3,3,6)
plot(NPL_ksi(:,3)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,3)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$r^{n}_{t}$','Interpreter','latex')
hold off 
subplot(3,3,7)
plot(NPL_ksi(:,9)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,9)*100,'-.','LineWidth',2.5)
hold on
xlim([2,21])
plot([1,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$E_{t-1}\{r^{diff}_{t}\}$','Interpreter','latex')
hold off 
subplot(3,3,8)
plot(NPL_ksi(:,10)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,10)*100,'-.','LineWidth',2.5)
hold on
xlim([1,10])
plot([1,21],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}$','Interpreter','latex')
hold off 
subplot(3,3,9)
plot(NPL_ksi(:,16)*100,'LineWidth',2.5)
hold on
plot(GK_ksi(:,12)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$Q_{t}$','Interpreter','latex')
hold off 
h=4;
set(h,'PaperOrientation','landscape');
%% FIGURE 5
figure(5)
subplot(3,3,1)
plot(NPL_ksi(:,1)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,1)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,1)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$','Interpreter','latex')
hold off 
subplot(3,3,2)
plot(NPL_ksi(:,5)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,5)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,5)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$','Interpreter','latex')
hold off 
subplot(3,3,3)
plot(NPL_ksi(:,6)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,6)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,6)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$','Interpreter','latex')
legend('NPL','No\_NPL','EA','Location','South')
hold off 
subplot(3,3,4)
plot(NPL_ksi(:,2)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,2)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,2)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$','Interpreter','latex')
hold off 
subplot(6,2,10)
plot(NPL_ksi(:,13)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,11)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,11)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I}_{t}$','Interpreter','latex')
subplot(6,2,12)
plot(NPL_ksi(:,18)*100,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I^{P}}_{t}$','Interpreter','latex')
hold off 
subplot(3,3,6)
plot(NPL_ksi(:,8)*100*0.025,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,8)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,8)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(3,3,5)
plot(NPL_ksi(:,4)*100*0.025 ,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,4)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(Entry_ksi(:,1)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,2,9)
plot(NPL_ksi(:,12)*100*0.025 ,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(6,2,11)
plot(NPL_ksi(:,11)*100*0.0778 ,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$ ','Interpreter','latex')
hold off
h=5;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 6
figure(6)
subplot(2,4,1)
plot(NPL_ksi(:,1)*100,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,1)*100,':','LineWidth',2.5)
hold on
ylim([-5.6,0])
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$ ','Interpreter','latex')
hold off 
subplot(2,4,2)
plot(NPL_ksi(:,5)*100,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,5)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$ ','Interpreter','latex')
hold off 
subplot(2,4,3)
plot(NPL_ksi(:,6)*100,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,6)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$ ','Interpreter','latex')
hold off 
subplot(2,4,4)
plot(NPL_ksi(:,2)*100,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,2)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
legend('Constant \mu',' Variable \mu', 'Location','South')
title('$\pi_{t}$ ','Interpreter','latex')
hold off 
subplot(2,4,5)
plot(NPL_ksi(:,8)*100*0.025,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,8)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(2,4,6)
plot(NPL_ksi(:,4)*100*0.025 ,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,4)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$  ','Interpreter','latex')
hold off 
subplot(2,4,7)
plot(NPL_ksi(:,12)*100*0.08 ,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,12)*100*0.08,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(2,4,8)
plot(NPL_ksi(:,11)*100*0.0778 ,'LineWidth',2.5)
hold on
plot(NPL_mu_ksi(:,11)*100*0.0778,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$ ','Interpreter','latex') 
hold off 
h=6;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 7
figure(7)
subplot(3,4,1)
plot(NPL_a(:,1)*100+t_npl*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,1)*100+t_nonpl*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$','Interpreter','latex')
hold off 
subplot(3,4,2)
plot(NPL_a(:,5)*100+t_npl*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,5)*100+t_nonpl*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$','Interpreter','latex')
hold off 
subplot(3,4,3)
plot(NPL_a(:,6)*100+t_npl*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,6)*100+t_nonpl*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$','Interpreter','latex')
hold off 
subplot(3,4,4)
plot(NPL_a(:,2)*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,2)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$','Interpreter','latex')
legend('NPL','No\_NPL')
hold off 
subplot(3,4,5)
plot(NPL_a(:,7)*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,7)*100,'-.','LineWidth',2.5)
hold on
xlim([1,10])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$P^{m}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,6)
plot(NPL_a(:,3)*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,3)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$r^{n}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,7)
plot(NPL_a(:,9)*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,9)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$w_{t}$','Interpreter','latex')
hold off 
subplot(3,4,8)
plot(NPL_a(:,10)*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,10)*100,'-.','LineWidth',2.5)
hold on
xlim([1,10])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,11)
plot(NPL_a(:,12)*0.08*100,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(3,4,9)
plot(NPL_a(:,8)*0.025*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,8)*0.025*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$','Interpreter','latex') 
hold off 
subplot(3,4,12)
plot(NPL_a(:,11)*0.0778*100,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$','Interpreter','latex')
hold off 
subplot(3,4,10)
plot(NPL_a(:,4)*0.025*100,'LineWidth',2.5)
hold on
plot(NONPL_a(:,4)*0.025*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
h=7;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 8
figure(8)
subplot(3,4,1)
plot(NPL_risk(:,1)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,1)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,1)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$','Interpreter','latex')
hold off 
subplot(3,4,2)
plot(NPL_risk(:,5)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,5)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,5)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$','Interpreter','latex')
hold off 
subplot(3,4,3)
plot(NPL_risk(:,6)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,6)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,6)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$','Interpreter','latex')
hold off 
subplot(3,4,4)
plot(NPL_risk(:,2)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,2)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,2)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$','Interpreter','latex')
legend('NPL','No\_NPL','EA','Location','South')
hold off 
subplot(3,4,5)
plot(NPL_risk(:,17)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,13)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,13)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$w_{t}$','Interpreter','latex')
hold off 
subplot(3,4,6)
plot(NPL_risk(:,7)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,7)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,7)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$P^{m}_{t}$','Interpreter','latex')
hold off  
subplot(3,4,7)
plot(NPL_risk(:,9)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,9)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,9)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$E_{t-1}\{r^{diff}_{t}\}$','Interpreter','latex')
hold off 
subplot(3,4,8)
plot(NPL_risk(:,22)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,17)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,14)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}Q_{t-1}-(1-\delta)Q_{t}$','Interpreter','latex')
hold off  
subplot(3,4,9)
plot(NPL_risk(:,13)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,11)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,11)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,10)
plot(NPL_risk(:,18)*100,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I^{P}}_{t}$','Interpreter','latex')
hold off 
subplot(6,4,23)
plot(NPL_risk(:,8)*100*0.025,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,8)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,8)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,4,19)
plot(NPL_risk(:,4)*100*0.025 ,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,4)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(Entry_risk(:,1)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,4,20)
plot(NPL_risk(:,12)*100*0.025 ,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,4,24)
plot(NPL_risk(:,11)*100*0.0778 ,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$ ','Interpreter','latex')
hold off
h=8;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 9
figure(9)
subplot(3,4,1)
plot(NPL_mon(:,1)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,1)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,1)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$','Interpreter','latex')
hold off 
subplot(3,4,2)
plot(NPL_mon(:,5)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,5)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,5)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$','Interpreter','latex')
hold off 
subplot(3,4,3)
plot(NPL_mon(:,6)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,6)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,6)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$','Interpreter','latex')
hold off 
subplot(3,4,4)
plot(NPL_mon(:,2)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,2)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,2)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$','Interpreter','latex')
legend('NPL','No\_NPL','EA','Location','North')
hold off 
subplot(3,4,5)
plot(NPL_mon(:,17)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,13)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,13)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$w_{t}$','Interpreter','latex')
hold off 
subplot(3,4,6)
plot(NPL_mon(:,7)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,7)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,7)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$P^{m}_{t}$','Interpreter','latex')
hold off  
subplot(3,4,7)
plot(NPL_mon(:,9)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,9)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,9)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$E_{t-1}\{r^{diff}_{t}\}$','Interpreter','latex')
hold off 
subplot(3,4,8)
plot(NPL_mon(:,22)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,17)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,14)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0]*100,'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}Q_{t-1}-(1-\delta)Q_{t}$','Interpreter','latex')
hold off 
subplot(3,4,9)
plot(NPL_mon(:,13)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,11)*100,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,11)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,10)
plot(NPL_mon(:,18)*100,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I^{P}}_{t}$','Interpreter','latex')
hold off 
subplot(6,4,23)
plot(NPL_mon(:,8)*100*0.025,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,8)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,8)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,4,19)
plot(NPL_mon(:,4)*100*0.025 ,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,4)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(Entry_mon(:,1)*100*0.025,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,4,20)
plot(NPL_mon(:,12)*100*0.025 ,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$','Interpreter','latex')
hold off 
subplot(6,4,24)
plot(NPL_mon(:,11)*100*0.0778 ,'LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$ ','Interpreter','latex')
hold off
h=9;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 10
figure(10)
subplot(3,4,1)
plot(NPL_ksi(:,1)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,1)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,1)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$Y_{t}$','Interpreter','latex')
hold off 
subplot(3,4,2)
plot(NPL_ksi(:,5)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,5)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,5)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$','Interpreter','latex')
hold off 
subplot(3,4,3)
plot(NPL_ksi(:,6)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,6)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,6)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$','Interpreter','latex')
hold off 
subplot(3,4,4)
plot(NPL_ksi(:,2)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,2)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,2)*100,':','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$','Interpreter','latex')
legend('\pi Targeting','Taylor rule','QE','Location','South')
hold off 
subplot(3,4,5)
plot(NPL_ksi(:,7)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,7)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,7)*100,':','LineWidth',2.5)
hold on
xlim([1,15])
plot([0,40],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$P^{m}_{t}$','Interpreter','latex') 
hold off 
subplot(3,4,6)
plot(NPL_ksi(:,3)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,3)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,3)*100,':','LineWidth',2.5)
hold on
xlim([1,40])
plot([0,40],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$r^{n}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,7)
plot(NPL_ksi(:,9)*100-0.1,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,9)*100-.1,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,9)*100-.1,'--','LineWidth',2.5)
hold on
xlim([2,16])
plot([1,40],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$E_{t-1}\{r^{diff}_{t}\}$','Interpreter','latex')
hold off 
subplot(3,4,8)
plot(NPL_ksi(:,10)*100,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,10)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,10)*100,':','LineWidth',2.5)
hold on
xlim([1,40])
plot([0,40],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}$','Interpreter','latex')
hold off 
subplot(3,4,9)
plot(NPL_ksi(:,4)*100*0.025,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,4)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,4)*100*0.025,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$','Interpreter','latex') 
hold off 
subplot(3,4,10)
plot(NPL_ksi(:,8)*100*0.025,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,8)*100*0.025,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,8)*100*0.025,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$','Interpreter','latex') 
hold off 
subplot(3,4,12)
plot(NPL_ksi(:,11)*100*0.0778,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,11)*100*0.0778,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,11)*100*0.0778,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$','Interpreter','latex') 
hold off 
subplot(3,4,11)
plot(NPL_ksi(:,12)*100*0.08,'LineWidth',2.5)
hold on
plot(NPL_Yt_ksi(:,12)*100*0.08,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,12)*100*0.08,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$ ','Interpreter','latex') 
hold off 
h=10;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 11
figure(11)
subplot(2,3,1)
plot(NPL_mon(:,20)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,14)*100,'-.','LineWidth',2.5)
hold on
plot(QE_mon(:,17)*100,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('\emph{Monetary Policy}','Interpreter','latex')
ylabel('\emph{$K_{t}^{MIS\{A_{t}^{j}>A_{t}^{j*}\}}$ \% $\Delta$ from ss}','Interpreter','latex')
hold off 
subplot(2,3,2)
plot(NPL_ksi(:,20)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,14)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,17)*100,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('\emph{Capital Quality}','Interpreter','latex')
hold off 
subplot(2,3,3)
plot(NPL_risk(:,20)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,14)*100,'-.','LineWidth',2.5)
hold on
plot(QE_risk(:,17)*100,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('\emph{Liquidity}','Interpreter','latex')
hold off 
subplot(2,3,4)
plot(NPL_mon(:,24)*100,'LineWidth',2.5)
hold on
plot(NONPL_mon(:,19)*100,'-.','LineWidth',2.5)
hold on
plot(QE_mon(:,20)*100,'--','LineWidth',2.5)
hold on
 xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('\emph{Monetary Policy}','Interpreter','latex')
ylabel('\emph{$\frac{b^{\eta}_{t-1}}{Q_{t-1}}$ \% $\Delta$ from ss}','Interpreter','latex')
hold off 
subplot(2,3,5)
plot(NPL_ksi(:,24)*100,'LineWidth',2.5)
hold on
plot(NONPL_ksi(:,19)*100,'-.','LineWidth',2.5)
hold on
plot(QE_ksi(:,20)*100,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('\emph{Capital Quality}','Interpreter','latex')
hold off 
subplot(2,3,6)
plot(NPL_risk(:,24)*100,'LineWidth',2.5)
hold on
plot(NONPL_risk(:,19)*100,'-.','LineWidth',2.5)
hold on
plot(QE_risk(:,20)*100,'--','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('\emph{Liquidity}','Interpreter','latex')
legend('NPL','NO\_NPL','QE', 'Location','South')
hold off 
h=11;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 12
figure(12)
subplot(4,4,1)
plot(NPL_ksi(:,1)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,1)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off 
title('$Y_{t}$ ','Interpreter','latex')
hold off 
subplot(4,4,2)
plot(NPL_ksi(:,5)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,5)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$ ','Interpreter','latex')
hold off 
subplot(4,4,3)
plot(NPL_ksi(:,6)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,6)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$ ','Interpreter','latex')
hold off 
subplot(4,3,12)
plot(NPL_ksi(:,13)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,13)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I}_{t}$ ','Interpreter','latex')
hold off 
subplot(4,4,5)
plot(NPL_ksi(:,8)*100*0.025,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,8)*100*0.025,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off 
title('$\frac{NE_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(4,4,6)
plot(NPL_ksi(:,4)*100*0.025 ,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,4)*100*0.025,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$  ','Interpreter','latex')
hold off 
subplot(4,4,7)
plot(NPL_ksi(:,12)*100*0.08 ,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,12)*100*0.08,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(4,4,8)
plot(NPL_ksi(:,11)*100*0.0778 ,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,11)*100*0.0778,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$ ','Interpreter','latex')
hold off 
subplot(4,3,7)
plot(NPL_ksi(:,9)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,9)*100,'-.','LineWidth',2.5)
hold on
xlim([2,41])
plot([1,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$E_{t-1}\{r^{diff}_{t}\}$' ,'Interpreter','latex')
hold off 
subplot(4,3,8)
plot(NPL_ksi(:,10)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,10)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}$  ','Interpreter','latex')
hold off 
subplot(4,3,9)
plot(NPL_ksi(:,15)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,15)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NW_{t}$' ,'Interpreter','latex')
hold off 
subplot(4,3,10)
plot(NPL_ksi(:,19)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,19)*100,'-.','LineWidth',2.5)
hold on
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\Phi_{b_{t}}$ ','Interpreter','latex')
hold off 
subplot(4,3,11)
plot(lambda_ksi(:,20)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off 
title('$\lambda_{b_{t}}$ ','Interpreter','latex')
hold off 
subplot(4,4,4)
plot(NPL_ksi(:,2)*100,'LineWidth',2.5)
hold on
plot(lambda_ksi(:,2)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$ ','Interpreter','latex')
legend('NPL','End \lambda_b ','Location','South')
h=12;
set(h,'PaperOrientation','landscape');
hold off
%% FIGURE 13 
figure(13)
subplot(3,4,1)
plot(QE_ksi(:,1)*100,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,1)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off 
title('$Y_{t}$ ','Interpreter','latex')
hold off 
subplot(3,4,2)
plot(QE_ksi(:,5)*100,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,5)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$C_{t}$ ','Interpreter','latex')
hold off 
subplot(3,4,3)
plot(QE_ksi(:,6)*100,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,6)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$I_{t}$ ','Interpreter','latex')
hold off 
subplot(3,4,4)
plot(QE_ksi(:,2)*100,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,2)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\pi_{t}$ ','Interpreter','latex')
legend('NPL','End \lambda_b ','Location','South')
hold off  
subplot(3,4,9)
plot(QE_ksi(:,13)*100,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,13)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\hat{A}^{I}_{t}$ ','Interpreter','latex')
hold off 
subplot(3,4,5)
plot(QE_ksi(:,8),'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,8),'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{NE_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(3,4,6)
plot(QE_ksi(:,4) ,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,4),'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{EX_{t}}{\eta_{t}}$  ','Interpreter','latex')
hold off 
subplot(3,4,7)
plot(QE_ksi(:,12) ,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,12),'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\frac{INC^{NP}_{t}}{\eta_{t}}$ ','Interpreter','latex')
hold off 
subplot(3,4,8)
plot(QE_ksi(:,11),'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,11),'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$NPL_{t}$ ','Interpreter','latex')
hold off 
subplot(3,4,10)
plot(QE_ksi(:,9)*100 ,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,9)*100,'-.','LineWidth',2.5)
hold on
xlim([2,21])
plot([1,20],[0,0],'--','LineWidth',1,'color','k')
grid off 
title('$E_{t-1}\{r^{diff}_{t}\}$' ,'Interpreter','latex')
hold off 
subplot(3,4,12)
plot(QE_ksi(:,10)*100 ,'LineWidth',2.5)
hold on
plot(qe_l_ksi(:,10)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$r^{k}_{t}$  ','Interpreter','latex')
hold off 
subplot(3,4,11)
plot(qe_l_ksi(:,14)*100,'-.','LineWidth',2.5)
hold on
xlim([1,20])
plot([0,20],[0,0],'--','LineWidth',1,'color','k')
grid off
title('$\lambda_{b_{t}}$ ','Interpreter','latex')
hold off 
h=13;
set(h,'PaperOrientation','landscape');
hold off
%% END OF GRAPHS BLOCK
%%
%close all
